public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Patrice Clement" <monsieurp@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-util/clion/
Date: Mon, 12 Jun 2017 21:46:55 +0000 (UTC)	[thread overview]
Message-ID: <1497303848.5b50b36c7fb6f4e7cba2f3bdd44b127901b1ba48.monsieurp@gentoo> (raw)

commit:     5b50b36c7fb6f4e7cba2f3bdd44b127901b1ba48
Author:     Christian Strahl <c.a.strahl <AT> gmail <DOT> com>
AuthorDate: Sun Jun 11 08:05:55 2017 +0000
Commit:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Mon Jun 12 21:44:08 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5b50b36c

dev-util/clion: version bump to 2017.1.3.

Package-Manager: Portage-2.3.5, Repoman-2.3.1
Closes: https://github.com/gentoo/gentoo/pull/4908

 dev-util/clion/Manifest              |  1 +
 dev-util/clion/clion-2017.1.3.ebuild | 63 ++++++++++++++++++++++++++++++++++++
 2 files changed, 64 insertions(+)

diff --git a/dev-util/clion/Manifest b/dev-util/clion/Manifest
index 4faf80f3c75..be5aa13bb46 100644
--- a/dev-util/clion/Manifest
+++ b/dev-util/clion/Manifest
@@ -1,3 +1,4 @@
 DIST clion-143.1186.tar.gz 220702330 SHA256 a2d6960afbfae77f59481c5ad30bc7c5afe9451bdf9d12cd9435f605b57b522b SHA512 d4ea1bad5f3da3bab569380114011798c29e633009867c8020363c9af72326ebaa3232dff9c931a67dd0a0195bf4903647e250963c7aeebe9ad83340c988cbad WHIRLPOOL 2a0855b6a32a5e23a1c7266d7a3dc00ad3ba905c5a8fa6d1e9959d6d4f67c73d35c94bfbe0837fde0d1736bd48dcb9212a219cfa81732cb169abdb1fb5dc4dd7
 DIST clion-2016.2.1.tar.gz 287103613 SHA256 444f760740811d0bb135cdd7d1d3a559b4d3247cdabf4eb9f77a21eea8c74805 SHA512 a4734c1b5d544cb7f6bd4752f5853d3c44e123e8ad8584b76098ef51a00261350d49bdd628d08c171f7c04b77862e8f28b5d8f16813c282542f83a16100c7415 WHIRLPOOL 83737f1677fff6870fd4dd717d54126f6680ec7c4966bc4b89f300e1fd327a431a13ceb6b04a52287c89813a7bb0e86ebaddf5c98f0330d595314c465d4a9534
 DIST clion-2017.1.2.tar.gz 294894181 SHA256 90a8f53fce2230a91b8f6b2ac19f1cd8a857c29f2afb7b4b105bcfbc8fc24816 SHA512 56fb3d27c2e7ad7eb19e021c3eeb75485af51deaf861eb5bfd8247e6d2e7e0114855cf86df8021ddea37994e478ed4b681988626a847345efb58edb5cdbaba69 WHIRLPOOL ac34620e7e6466cd22e40bec0427310c52e74be12cfaa9f1e7266c021ea3b4146ac95a7aa0c458ec98e8c1c9f5845c30da72fc9f967987259620bf93c6a6091b
+DIST clion-2017.1.3.tar.gz 294910573 SHA256 efb80d5c66db367b6d576923850c56dbb0054f44e0370a274ef37ae2d69ab710 SHA512 d6275d545454455b85c91b2f2565885a68109d3d83837a833d23c21dfc17545fb92bca9e8b04cbd3514242647b4f32ce00439956acc2f135da67d3d07aa0efe5 WHIRLPOOL d815ffccac295fd6f361794fc1688843de418e4f099d92552f259f2926b6e02b35ec94931bdfa117d94004103a427e5152fe0e02591b3201f7f9595ea1295cb8

diff --git a/dev-util/clion/clion-2017.1.3.ebuild b/dev-util/clion/clion-2017.1.3.ebuild
new file mode 100644
index 00000000000..27dd8130724
--- /dev/null
+++ b/dev-util/clion/clion-2017.1.3.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit eutils versionator
+
+SLOT="0"
+PV_STRING="$(get_version_component_range 4-6)"
+MY_PV="$(get_version_component_range 1-3)"
+
+SRC_URI="http://download.jetbrains.com/cpp/CLion-${MY_PV}.tar.gz -> ${PN}-${MY_PV}.tar.gz"
+DESCRIPTION="A complete toolset for C and C++ development"
+HOMEPAGE="http://www.jetbrains.com/clion"
+
+KEYWORDS="~amd64 ~x86"
+LICENSE="IDEA
+	|| ( IDEA_Academic IDEA_Classroom IDEA_OpenSource IDEA_Personal )"
+
+RDEPEND="
+	${DEPEND}
+	sys-devel/gdb
+	dev-util/cmake"
+
+S="${WORKDIR}/${PN}-${MY_PV}"
+
+QA_PREBUILT="opt/${PN}-${MY_PV}/*"
+
+src_prepare() {
+	default
+
+	local remove_me=(
+		bin/gdb
+		bin/cmake
+		license/GDB*
+		license/CMake*
+		plugins/tfsIntegration/lib/native/hpux
+		plugins/tfsIntegration/lib/native/solaris
+	)
+
+	use amd64 || remove_me+=( plugins/tfsIntegration/lib/native/linux/x86_64 )
+	use arm || remove_me+=( bin/fsnotifier-arm plugins/tfsIntegration/lib/native/linux/arm )
+	use ppc || remove_me+=( plugins/tfsIntegration/lib/native/linux/ppc )
+	use x86 || remove_me+=( plugins/tfsIntegration/lib/native/linux/x86 )
+
+	rm -rv "${remove_me[@]}" || die
+}
+
+src_install() {
+	local dir="/opt/${PN}-${MY_PV}"
+
+	insinto "${dir}"
+	doins -r *
+	fperms 755 "${dir}"/bin/{clion.sh,fsnotifier{,64}}
+
+	make_wrapper "${PN}" "${dir}/bin/${PN}.sh"
+	newicon "bin/${PN}.svg" "${PN}.svg"
+	make_desktop_entry "${PN}" "clion" "${PN}" "Development;IDE;"
+
+	# recommended by: https://confluence.jetbrains.com/display/IDEADEV/Inotify+Watches+Limit
+	mkdir -p "${D}/etc/sysctl.d/" || die
+	echo "fs.inotify.max_user_watches = 524288" > "${D}/etc/sysctl.d/30-idea-inotify-watches.conf" || die
+}


             reply	other threads:[~2017-06-12 21:47 UTC|newest]

Thread overview: 124+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2017-06-12 21:46 Patrice Clement [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-06-11 17:04 [gentoo-commits] repo/gentoo:master commit in: dev-util/clion/ Ulrich Müller
2024-05-25  5:05 Arthur Zamarin
2024-05-13 17:33 Ulrich Müller
2024-05-13 16:11 Ulrich Müller
2024-04-14  9:57 Viorel Munteanu
2024-04-14  9:57 Viorel Munteanu
2023-07-14  6:50 Joonas Niilola
2023-07-14  6:50 Joonas Niilola
2023-04-10 10:41 Joonas Niilola
2023-04-10 10:41 Joonas Niilola
2023-02-24 15:09 Joonas Niilola
2023-02-10  8:57 Joonas Niilola
2023-02-10  8:57 Joonas Niilola
2023-02-09 15:53 Joonas Niilola
2023-01-12 14:07 Joonas Niilola
2022-12-23 10:22 Viorel Munteanu
2022-11-22 13:55 Joonas Niilola
2022-09-14 17:17 Matthew Smith
2022-09-10  8:27 Matthew Smith
2022-07-05  9:06 Joonas Niilola
2022-07-05  9:06 Joonas Niilola
2022-06-14  7:13 Joonas Niilola
2022-06-14  7:13 Joonas Niilola
2022-06-03 13:15 Joonas Niilola
2022-06-03 13:15 Joonas Niilola
2022-06-03 13:15 Joonas Niilola
2022-01-28  8:36 Sam James
2022-01-28  8:36 Sam James
2021-12-24  4:47 Sam James
2021-12-24  4:47 Sam James
2021-08-14  5:59 Joonas Niilola
2021-08-14  5:59 Joonas Niilola
2021-08-14  5:59 Joonas Niilola
2021-07-02  7:38 Joonas Niilola
2021-07-02  7:38 Joonas Niilola
2021-04-13 10:38 Joonas Niilola
2021-04-13 10:38 Joonas Niilola
2021-04-13 10:38 Joonas Niilola
2021-03-23 12:32 Joonas Niilola
2021-03-23 12:32 Joonas Niilola
2021-02-15 13:15 Joonas Niilola
2021-02-15 13:15 Joonas Niilola
2021-02-15 13:15 Joonas Niilola
2021-01-05  8:40 Joonas Niilola
2021-01-05  8:40 Joonas Niilola
2021-01-04 12:34 Joonas Niilola
2020-10-17 13:19 Joonas Niilola
2020-10-17 13:19 Joonas Niilola
2020-10-08  6:57 Joonas Niilola
2020-10-08  6:57 Joonas Niilola
2020-08-21  7:15 Joonas Niilola
2020-08-21  7:15 Joonas Niilola
2020-08-21  7:15 Joonas Niilola
2020-07-07 13:30 Joonas Niilola
2020-07-07 13:30 Joonas Niilola
2020-05-13 13:17 Joonas Niilola
2020-05-13 13:17 Joonas Niilola
2020-04-16  8:11 Joonas Niilola
2020-04-16  8:11 Joonas Niilola
2020-03-26  7:22 Joonas Niilola
2020-03-26  7:22 Joonas Niilola
2020-02-06  6:20 Joonas Niilola
2020-02-06  6:20 Joonas Niilola
2020-02-06  6:20 Joonas Niilola
2020-01-20 13:03 Joonas Niilola
2020-01-20 13:03 Joonas Niilola
2019-11-30  7:50 Joonas Niilola
2019-11-30  7:50 Joonas Niilola
2019-10-18  5:25 Joonas Niilola
2019-10-18  5:25 Joonas Niilola
2019-10-13 12:36 Joonas Niilola
2019-10-13 12:36 Joonas Niilola
2019-09-26 16:41 Ulrich Müller
2019-09-26 16:41 Ulrich Müller
2019-09-15 16:49 Joonas Niilola
2019-09-15 16:49 Joonas Niilola
2019-07-30  3:33 Georgy Yakovlev
2019-07-30  3:33 Georgy Yakovlev
2019-05-10 18:25 Georgy Yakovlev
2019-05-10 18:25 Georgy Yakovlev
2019-04-16 18:27 Georgy Yakovlev
2019-04-16 18:27 Georgy Yakovlev
2019-02-15 23:12 Patrice Clement
2019-02-15 23:12 Patrice Clement
2019-01-31 18:52 Georgy Yakovlev
2019-01-31 18:52 Georgy Yakovlev
2019-01-31 18:52 Georgy Yakovlev
2018-11-27 22:41 Georgy Yakovlev
2018-11-27 22:41 Georgy Yakovlev
2018-09-23 17:45 Georgy Yakovlev
2018-09-23 17:45 Georgy Yakovlev
2018-08-06 15:47 Georgy Yakovlev
2018-08-06 15:47 Georgy Yakovlev
2018-08-06 15:47 Georgy Yakovlev
2018-08-06 15:47 Georgy Yakovlev
2018-03-30 21:27 Michał Górny
2018-03-30 21:27 Michał Górny
2018-03-24 15:34 Michał Górny
2018-03-24 15:34 Michał Górny
2018-02-17 15:26 Patrice Clement
2018-02-17 15:26 Patrice Clement
2018-02-11 10:53 Michał Górny
2018-01-05 23:57 Craig Andrews
2018-01-05 23:57 Craig Andrews
2017-12-02 22:53 Patrice Clement
2017-12-02 22:53 Patrice Clement
2017-10-15 21:11 Patrice Clement
2017-10-15 21:11 Patrice Clement
2017-09-02 17:30 Patrice Clement
2017-09-02 17:30 Patrice Clement
2017-08-05 11:08 Michał Górny
2017-08-05 11:08 Michał Górny
2017-07-20 20:30 Patrice Clement
2017-07-20 20:30 Patrice Clement
2017-06-12 21:46 Patrice Clement
2017-05-21 18:53 Michał Górny
2017-05-21 18:53 Michał Górny
2017-04-26 14:04 Michał Górny
2017-04-26 14:04 Michał Górny
2017-04-13 13:12 Patrice Clement
2017-04-13 13:12 Patrice Clement
2016-08-11  8:35 Patrice Clement
2016-03-09  9:49 Patrice Clement

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1497303848.5b50b36c7fb6f4e7cba2f3bdd44b127901b1ba48.monsieurp@gentoo \
    --to=monsieurp@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox